<?php


namespace AutoAdmin\Bundle\Seo\Extractor;


use AutoAdmin\Bundle\Seo\Model\SeoPage;
use Symfony\Component\HttpFoundation\Request;

interface ExtractorInterface
{
    public function supports($subject, $route);

    public function extract(Request $request, $subject, SeoPage $seo);
}
